# Generated by go2rpm
%bcond_without check

# https://github.com/smartystreets/goconvey
%global goipath         github.com/smartystreets/goconvey
Version:                1.6.4

%gometa

%global common_description %{expand:
GoConvey, a yummy Go testing tool for gophers. Works with go test. Use it in the
terminal or browser according to your viewing pleasure.

Features:

 - Directly integrates with go test
 - Fully-automatic web UI (works with native Go tests, too)
 - Huge suite of regression tests
 - Shows test coverage (Go 1.2+)
 - Readable, colorized console output (understandable by any manager, IT or not)
 - Test code generator
 - Desktop notifications (optional)
 - Immediately open problem lines in Sublime Text (some assembly required)}

%global golicenses      LICENSE.md web/client/resources/fonts/Open_Sans/LICENSE.txt web/client/resources/fonts/Orbitron/OFL.txt
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:        5%{?dist}
Summary:        Go testing in the browser

# Upstream license specification: MIT and Apache-2.0
# MIT: main library
# ASL 2.0: Open Sans font, diff_match_patch.js
# OFL: Orbitron and Oswald fonts
License:        MIT and ASL 2.0 and OFL
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/jtolds/gls)
BuildRequires:  golang(github.com/smartystreets/assertions)
BuildRequires:  golang(golang.org/x/tools/go/packages)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
# This test fails with latest smartystreets/assertions
%gochecks -d web/server/watch
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Aug 02 20:47:00 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.4-1
- Update to 1.6.4

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 15 23:44:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.3-4.20190415git68dc04a
- Bump to commit 68dc04aab96ae4326137d6b77330c224063a927e

* Sat Mar 02 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.3-3.20190302gita17d461
- Bump to commit a17d461953aae4fb1a1d7f33653151da5f80392f

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-2.gitef6db91
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.3-1.20181006gitef6db91
- Bump to commit ef6db91d284a0e7badaa1f0c404c30aa7dee3aed

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-0.8.gitbf58a9a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-0.7.gitbf58a9a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-0.6.gitbf58a9a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-0.5.gitbf58a9a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-0.4.gitbf58a9a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.6.1-0.3.gitbf58a9a
- Polish the spec file
  related: #1250511

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-0.2.gitbf58a9a
- https://fedoraproject.org/wiki/Changes/golang1.7

* Thu Apr 14 2016 jchaloup <jchaloup@redhat.com> - 1.6.1-0.1.gitbf58a9a
- Bump to upstream bf58a9a1291224109919756b4dcc469c670cc7e4
  Polish the spec file
  related: #1250511

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git43652d6
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git43652d6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 17 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git43652d6
- Add missing BRs
  related: #1250511

* Mon Aug 10 2015 Fridolin Pokorny <fpokorny@redhat.com> - 0-0.2.git43652d6
- Update spec file to spec-2.0
  resolves: #1250511

* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git43652d6
- First package for Fedora
  resolves: #1214862
